
package de.ivu.elect.was.exchange.kerg;

import javax.annotation.Nullable;

import de.ivu.elect.business.ergebnis.control.ErgebnisDaten;
import de.ivu.elect.business.ergebnis.entity.Stimmabgabeart;
import de.ivu.elect.business.gebietsbaum.entity.Wahldurchfuehrungsgebiet;
import de.ivu.elect.business.gruppe.entity.Gruppe;

public class UngueltigeKergGruppeContainer extends AbstractKergGruppeContainer<Gruppe> {

  public UngueltigeKergGruppeContainer(ErgebnisDaten ergebnisDaten, Gruppe gruppe, Wahldurchfuehrungsgebiet gebiet, Stimmabgabeart stimmabgabeart) {
    super(ergebnisDaten, gruppe, gebiet, stimmabgabeart);
  }

  @Nullable
  @Override
  protected Long getErstStimmenAktuell() {
    return getErgebnisDaten().getErststimmenAktuellUngueltige(getGebiet(), getStimmabgabeart());
  }

  @Nullable
  @Override
  protected Long getErstStimmenVorperiode() {
    return getErgebnisDaten().getErststimmenVorperiodeUngueltige(getGebiet(), getStimmabgabeart());
  }

  @Nullable
  @Override
  protected Long getZweitStimmenAktuell() {
    return getErgebnisDaten().getZweitstimmenAktuellUngueltige(getGebiet(), getStimmabgabeart());
  }

  @Nullable
  @Override
  protected Long getZweitStimmenVorperiode() {
    return getErgebnisDaten().getZweitstimmenVorperiodeUngueltige(getGebiet(), getStimmabgabeart());
  }
}
